<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
		https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.8.xsd"
        objectQuotingStrategy="QUOTE_ALL_OBJECTS">
    <changeSet id="added_human_entity" author="szhukov">
        <createTable tableName="HUMAN">
            <column name="ID" type="uuid">
                <constraints nullable="false" primaryKey="true"/>
            </column>

            <column name="NAME" type="text">
                <constraints nullable="false"/>
            </column>

            <column name="LAST_NAME" type="text"/>

            <column name="SUR_NAME" type="text"/>

            <column name="GENDER" type="text">
                <constraints nullable="false"/>
            </column>

            <column name="AGE" type="int">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>

    <changeSet id="added_document_entity" author="szhukov">
        <createTable tableName="DOCUMENT">
            <column name="ID" type="uuid">
                <constraints nullable="false" primaryKey="true"/>
            </column>
            <column name="NUMBER" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="TYPE" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="STATUS" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="HUMAN_ID" type="uuid"/>
        </createTable>
    </changeSet>

    <changeSet id="added_fk_constraints" author="szhukov">
        <addForeignKeyConstraint baseColumnNames="HUMAN_ID"
                                 baseTableName="DOCUMENT"
                                 constraintName="fk_document_human_id"
                                 referencedColumnNames="ID"
                                 referencedTableName="HUMAN"/>
    </changeSet>
</databaseChangeLog>